libnjb 2.2.7

Typedefs
libnjb global type definitions

## Typedefs
typedef struct njb_struct | njb_t
typedef struct njb_songid_frame_struct | njb_songid_frame_t
typedef struct njb_songid_struct | njb_songid_t
typedef struct njb_playlist_track_struct | njb_playlist_track_t
typedef struct njb_playlist_struct | njb_playlist_t
typedef struct njb_datafile_struct | njb_datafile_t
typedef struct njb_eax_struct | njb_eax_t
typedef struct njb_time_struct | njb_time_t
typedef struct njb_keyval_struct | njb_keyval_t

## Detailed Description

## Typedef Documentation

## ◆ njb_datafile_t

typedef struct njb_datafile_struct njb_datafile_t

See struct definition

Examples
  files.c, and getfile.c.

## ◆ njb_eax_t

typedef struct njb_eax_struct njb_eax_t

See struct definition

Examples
  dumpeax.c.

## ◆ njb_keyval_t

typedef struct njb_keyval_struct njb_keyval_t

See struct definition

Examples
  handshake.c.

## ◆ njb_playlist_t

typedef struct njb_playlist_struct njb_playlist_t

See struct definition

Examples
  pl.c, and playlists.c.

## ◆ njb_playlist_track_t

typedef struct njb_playlist_track_struct njb_playlist_track_t

See struct definition

Examples
  pl.c, and playlists.c.

## ◆ njb_songid_frame_t

typedef struct njb_songid_frame_struct njb_songid_frame_t

See struct definition

Examples
  gettr.c, sendtr.c, tagtr.c, and tracks.c.

## ◆ njb_songid_t

typedef struct njb_songid_struct njb_songid_t

See struct definition

Examples
  gettr.c, sendtr.c, tagtr.c, and tracks.c.

## ◆ njb_t

typedef struct njb_struct njb_t

See also
  njb_struct

Examples
  cursesplay.c, delfile.c, deltr.c, dumpeax.c, dumptime.c, files.c, fwupgrade.c, getfile.c, getowner.c, gettr.c, getusage.c, handshake.c, pl.c, play.c, playlists.c, sendfile.c, sendtr.c, setowner.c, setpbm.c, settime.c, tagtr.c, and tracks.c.

## ◆ njb_time_t

typedef struct njb_time_struct njb_time_t

See struct definition

Examples
  dumptime.c, and settime.c.